Subject: Re: Map Backspace to ASCII DEL?
From: "Gerrit P. Haase" <[email-masked]>
To: Cygwin <[email-masked]>
Cc: Ian Brandt <[email-masked]>
Date: Thu, 21 Aug 2003 13:20:54 +0200

Hello Ian,

my apologies, I'm still learning english;)

>> Currently it seems that the cygwin terminal sends ^H (ASCII BS, 0x08)
>> for backspace, and the VT220 Remove escape sequence (\E[3~, 0x1B5B337E)
>> for Delete.  I'd like it to send ^? (ASCII DEL, 0x7F) so that ^H can be
>> used by applications (e.g. emacs).  This is how I've always configured

> # "\C-h": backward-delete-char
> # "\C-?": backward-delete-char

At least I found the Bash builtin bind:
bind -u backward-delete-char
removes all bindings for the Backspace key so you can define ^H yourself
with another Function.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/